Fastfold Docs
Library

Get Library Item

Fetch a single library item by ID. Folder items include nested children.

GET
/v1/library/{item_id}

Authorization

bearerAuth

AuthorizationBearer <token>

Bearer token authentication. Use your API key with: Authorization: Bearer <YOUR_API_KEY>

In: header

Path Parameters

item_id*string
Formatuuid

Query Parameters

fetch_PAE?boolean
Defaultfalse

Response Body

application/json

application/json

curl -X GET "https://api.fastfold.ai/v1/library/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "type": "file",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "fileType": "string",
  "origin": "string",
  "size": 0,
  "metadata": {},
  "children": [
    {}
  ],
  "colorHex": "string"
}
{
  "message": "string"
}

Last updated on